Index: issm/trunk/test/NightlyRun/runme.py
===================================================================
--- issm/trunk/test/NightlyRun/runme.py	(revision 12709)
+++ issm/trunk/test/NightlyRun/runme.py	(revision 13395)
@@ -1,34 +1,3 @@
 #! /usr/bin/env python
-"""
-RUNME - test deck for ISSM nightly runs
- 
-    In a test deck directory (tests/Vertification/NightlyRun for example)
-    The following command will launch all the existing tests:
-    >>> runme()
-    To run the tests 101 and 102:
-    >>> runme(id=[101,102])
-    etc...
- 
-    Available options:
-       'id'            followed by the list of ids requested
-       'exclude'       ids to be excluded from the test
-       'benchmark'     'nightly' (nightly run/ daily run)
-                       'ismip'  : validation of ismip-hom tests
-                       'eismint': validation of eismint tests
-                       'thermal': validation of thermal tests
-                       'mesh'   : validation of mesh tests
-                       ...
-       'procedure'     'check' : run the test (default)
-                       'update': update the archive
- 
-    Usage:
-       md=runme(varargin);
- 
-    Examples:
-       runme()
-       runme(exclude=101)
-       md=runme(id=102,procedure='update')
-"""
-
 import os
 import glob
@@ -40,49 +9,71 @@
 
 def runme(id=None,exclude=None,benchmark='nightly',procedure='check',output='none',rank=1,numprocs=1):
+	"""
+	RUNME - test deck for ISSM nightly runs
+ 
+	    In a test deck directory (tests/Vertification/NightlyRun for example)
+	    The following command will launch all the existing tests:
+	    >>> runme()
+	    To run the tests 101 and 102:
+	    >>> runme(id=[101,102])
+	    etc...
+ 
+	    Available options:
+	       'id'            followed by the list of ids requested
+	       'exclude'       ids to be excluded from the test
+	       'benchmark'     'nightly' (nightly run/ daily run)
+	                       'ismip'  : validation of ismip-hom tests
+	                       'eismint': validation of eismint tests
+	                       'thermal': validation of thermal tests
+	                       'mesh'   : validation of mesh tests
+	                       ...
+	       'procedure'     'check' : run the test (default)
+	                       'update': update the archive
+ 
+	    Usage:
+	       md=runme(varargin);
+ 
+	    Examples:
+	       runme()
+	       runme(exclude=101)
+	       md=runme(id=102,procedure='update')
+	"""
 
 	from parallelrange import parallelrange
 	from IdToName import IdToName
+	from MatlabFuncs import strcmpi
+	from MatlabFuncs import ismember
 
 	#Get ISSM_DIR variable
 	ISSM_DIR=os.environ['ISSM_DIR']
-	print 'ISSM_DIR =',ISSM_DIR
 
 	#Process options
-	#GET benchmark {{{1
-	if not benchmark.lower() in ['all','nightly','ismip','eismint','thermal','mesh','validation','tranforcing']:
+	#GET benchmark {{{
+	if not ismember(benchmark,['all','nightly','ismip','eismint','thermal','mesh','validation','tranforcing']):
 		print "runme warning: benchmark '%s' not supported, defaulting to test 'nightly'." % benchmark
 		benchmark='nightly'
 	# }}}
-	#GET procedure {{{1
-	if not procedure.lower() in ['check','update']:
+	#GET procedure {{{
+	if not ismember(procedure,['check','update']):
 		print "runme warning: procedure '%s' not supported, defaulting to test 'check'." % procedure
 		procedure='check'
 	# }}}
-	#GET output {{{1
-	if not output.lower() in ['nightly','daily','none']:
+	#GET output {{{
+	if not ismember(output,['nightly','daily','none']):
 		print "runme warning: output '%s' not supported, defaulting to test 'none'." % output
 		output='none'
 	# }}}
-	#GET RANK and NUMPROCS for multithreaded runs {{{1
+	#GET RANK and NUMPROCS for multithreaded runs {{{
 	if (numprocs<rank):
 		numprocs=1
 	# }}}
-
-	print 'id =',id
-	print 'exclude =',exclude
-	print 'benchmark =',benchmark
-	print 'procedure =',procedure
-	print 'output =',output
-	print 'rank =',rank
-	print 'numprocs =',numprocs
-
-	#GET ids  {{{1
+	#GET ids  {{{
 	flist=glob.glob('test*.py')    #File name must start with 'test' and must end by '.py' and must be different than 'test.py'
 	list_ids=[int(file[4:-3]) for file in flist if not file == 'test.py']    #Keep test id only (skip 'test' and '.py')
-	print 'list_ids =',list_ids
+	#print 'list_ids =',list_ids
 
 	i1,i2=parallelrange(rank,numprocs,len(list_ids))    #Get tests for this cpu only
 	list_ids=list_ids[i1:i2+1]
-	print 'list_ids after parallelrange =',list_ids
+	#print 'list_ids after parallelrange =',list_ids
 
 	if id:
@@ -94,8 +85,7 @@
 	else:
 		test_ids=set(list_ids)
-#	print 'test_ids after list =',test_ids
-	# }}}
-
-	#GET exclude {{{1
+	#print 'test_ids after list =',test_ids
+	# }}}
+	#GET exclude {{{
 	if exclude:
 		if isinstance(exclude,list):
@@ -106,24 +96,23 @@
 #	print 'test_ids after exclude =',test_ids
 	# }}}
-
-	#Process Ids according to benchmarks {{{1
-	if   benchmark.lower() == 'nightly':
+	#Process Ids according to benchmarks {{{
+	if   strcmpi(benchmark,'nightly'):
 		test_ids=test_ids.intersection(set(range(1,1000)))
-	elif benchmark.lower() == 'ismip':
+	elif strcmpi(benchmark,'ismip'):
 		test_ids=test_ids.intersection(set(range(1101,1200)))
-	elif benchmark.lower() == 'eismint':
+	elif strcmpi(benchmark,'eismint'):
 		test_ids=test_ids.intersection(set(range(1201,1300)))
-	elif benchmark.lower() == 'thermal':
+	elif strcmpi(benchmark,'thermal'):
 		test_ids=test_ids.intersection(set(range(1301,1400)))
-	elif benchmark.lower() == 'mesh':
+	elif strcmpi(benchmark,'mesh'):
 		test_ids=test_ids.intersection(set(range(1401,1500)))
-	elif benchmark.lower() == 'validation':
+	elif strcmpi(benchmark,'validation'):
 		test_ids=test_ids.intersection(set(range(1001,2000)))
-	elif benchmark.lower() == 'tranforcing':
+	elif strcmpi(benchmark,'tranforcing'):
 		test_ids=test_ids.intersection(set(range(1501,1503)))
-#	print 'test_ids after benchmark =',test_ids
+	#print 'test_ids after benchmark =',test_ids
 	test_ids=list(test_ids)
 	test_ids.sort()
-	print 'test_ids after sort =',test_ids
+	#print 'test_ids after sort =',test_ids
 	# }}}
 
@@ -140,17 +129,19 @@
 			#UPDATE ARCHIVE?
 			archive_name='Archive'+str(id)
-			if procedure.lower() == 'update':
-
-				if not socket.gethostname().lower().split('.')[0] == 'larsen':
-#					raise RuntimeError("Nightly run archives must be saved on 'larsen' (hostname is '"+socket.gethostname()+"').")
-					print "Nightly run archives must be saved on 'larsen' (hostname is '"+socket.gethostname()+"')."
-#				f = h5py.File(os.path.join('..','Archives',archive_name+'.hdf5'),'w')
-				f = netCDF4.Dataset(os.path.join('..','Archives',archive_name+'.nc'),'w')
+			if strcmpi(procedure,'update'):
+
+				os.remove(os.path.join('..','Archives',archive_name+'.nc'))
+				f = netCDF4.Dataset(os.path.join('..','Archives',archive_name+'.nc'),'w',format='NETCDF3_CLASSIC')
 				for k,fieldname in enumerate(field_names):
 					field=numpy.array(field_values[k],dtype=float)
-#					f.create_dataset(archive_name+'_field'+str(k),data=field)
-					f.createDimension(archive_name+'_field'+str(k)+'_0',numpy.size(field,0))
-					f.createDimension(archive_name+'_field'+str(k)+'_1',numpy.size(field,1))
-					v = f.createVariable(archive_name+'_field'+str(k),'f8',(archive_name+'_field'+str(k)+'_0',archive_name+'_field'+str(k)+'_1'))
+					if len(field.shape) == 1:
+						if numpy.size(field):
+							field=field.reshape(numpy.size(field),1)
+						else:
+							field=field.reshape(0,0)
+					# Matlab uses base 1, so use base 1 in labels
+					f.createDimension(archive_name+'_field'+str(k+1)+'_1',numpy.size(field,0))
+					f.createDimension(archive_name+'_field'+str(k+1)+'_2',numpy.size(field,1))
+					v = f.createVariable(archive_name+'_field'+str(k+1),field.dtype,(archive_name+'_field'+str(k+1)+'_1',archive_name+'_field'+str(k+1)+'_2'))
 					v[:] = field
 				f.close()
@@ -162,5 +153,4 @@
 				#load archive
 				if os.path.exists(os.path.join('..','Archives',archive_name+'.nc')):
-#					f = h5py.File(os.path.join('..','Archives',archive_name+'.hdf5'),'r')
 					f = netCDF4.Dataset(os.path.join('..','Archives',archive_name+'.nc'),'r')
 				else:
@@ -171,23 +161,23 @@
 					try:
 						#Get field and tolerance
-						field=numpy.array(field_values[k],dtype=float)
-#						print 'field =',field
+						field=numpy.array(field_values[k])
+						if len(field.shape) == 1:
+							if numpy.size(field):
+								field=field.reshape(numpy.size(field),1)
+							else:
+								field=field.reshape(0,0)
 						tolerance=field_tolerances[k]
-#						print 'tolerance =',tolerance
 
 						#compare to archive
-#						if archive_name+'_field'+str(k) in f:
-#							archive=f[archive_name+'_field'+str(k)][...]
-						if archive_name+'_field'+str(k) in f.variables:
-							archive=f.variables[archive_name+'_field'+str(k)][:]
-						else:
-							raise NameError("Field name '"+archive_name+'_field'+str(k)+"' does not exist in archive file.")
-#						print 'archive =',archive
-						error_diff=numpy.amax(numpy.abs(archive-field),axis=1)/ \
-								   (numpy.amax(numpy.abs(archive),axis=1)+sys.float_info.epsilon)
-#						print 'error_diff =',error_diff
+						# Matlab uses base 1, so use base 1 in labels
+						if archive_name+'_field'+str(k+1) in f.variables:
+							archive=f.variables[archive_name+'_field'+str(k+1)][:]
+						else:
+							raise NameError("Field name '"+archive_name+'_field'+str(k+1)+"' does not exist in archive file.")
+						error_diff=numpy.amax(numpy.abs(archive-field),axis=0)/ \
+								   (numpy.amax(numpy.abs(archive),axis=0)+sys.float_info.epsilon)
 
 						#disp test result
-						if (error_diff>tolerance):
+						if (numpy.any(error_diff>tolerance)):
 							print 'ERROR   difference: %-7.2g > %7.2g test id: %i test name: %s field: %s' % \
 								(error_diff,tolerance,id,id_string,fieldname)
@@ -201,12 +191,12 @@
 						directory=os.getcwd().split('/')    #  not used?
 						message=me2
-						if   output.lower() == 'nightly':
-							fid=open(os.path.join(ISSM_DIR,'nightlylog','matlaberror.log'), 'a')
+						if   strcmpi(output,'nightly'):
+							fid=open(os.path.join(ISSM_DIR,'nightlylog','pythonerror.log'), 'a')
 							fid.write('%s' % message)
 							fid.write('\n------------------------------------------------------------------\n')
 							fid.close()
 							print 'FAILURE difference: N/A test id: %i test name: %s field: %s' % (id,id_string,fieldname)
-						elif output.lower() == 'daily':
-							fid=open(os.path.join(ISSM_DIR,'dailylog','matlaberror.log'), 'a')
+						elif strcmpi(output,'daily'):
+							fid=open(os.path.join(ISSM_DIR,'dailylog','pythonerror.log'), 'a')
 							fid.write('%s' % message)
 							fid.write('\n------------------------------------------------------------------\n')
@@ -224,12 +214,12 @@
 			directory=os.getcwd().split('/')    #  not used?
 			message=me
-			if   output.lower() == 'nightly':
-				fid=open(os.path.join(ISSM_DIR+'nightlylog','matlaberror.log'), 'a')
+			if   strcmpi(output,'nightly'):
+				fid=open(os.path.join(ISSM_DIR+'nightlylog','pythonerror.log'), 'a')
 				fid.write('%s' % message)
 				fid.write('\n------------------------------------------------------------------\n')
 				fid.close()
 				print 'FAILURE difference: N/A test id: %i test name: %s field: %s' % (id,id_string,'N/A')
-			elif output.lower() == 'daily':
-				fid=open(os.path.join(ISSM_DIR+'dailylog','matlaberror.log'), 'a')
+			elif strcmpi(output,'daily'):
+				fid=open(os.path.join(ISSM_DIR+'dailylog','pythonerror.log'), 'a')
 				fid.write('%s' % message)
 				fid.write('\n------------------------------------------------------------------\n')
@@ -247,8 +237,9 @@
 	return
 
+import argparse
 if __name__ == '__main__':
 	if 'PYTHONSTARTUP' in os.environ:
 		PYTHONSTARTUP=os.environ['PYTHONSTARTUP']
-		print 'PYTHONSTARTUP =',PYTHONSTARTUP
+		#print 'PYTHONSTARTUP =',PYTHONSTARTUP
 		if os.path.exists(PYTHONSTARTUP):
 			try:
@@ -259,5 +250,4 @@
 			print "PYTHONSTARTUP file '%s' does not exist." % PYTHONSTARTUP
 
-	import argparse
 	parser = argparse.ArgumentParser(description='RUNME - test deck for ISSM nightly runs')
 	parser.add_argument('-i','--id', nargs='*', type=int, help='followed by the list of ids requested', default=[])
Index: issm/trunk/test/NightlyRun/test101.m
===================================================================
--- issm/trunk/test/NightlyRun/test101.m	(revision 13395)
+++ issm/trunk/test/NightlyRun/test101.m	(revision 13395)
@@ -0,0 +1,22 @@
+md=triangle(model,'../Exp/Square.exp',50000);
+md=setmask(md,'all','');
+md=parameterize(md,'../Par/SquareShelfConstrained.par');
+md=setflowequation(md,'macayeal','all');
+md.cluster=generic('name',oshostname(),'np',3);
+md.diagnostic.requested_outputs=StressTensorEnum;
+md=solve(md,DiagnosticSolutionEnum);
+
+%Fields and tolerances to track changes
+field_names     ={'Vx','Vy','Vel','Pressure',...
+	'StressTensorxx','StressTensoryy','StressTensorxy'};
+field_tolerances={1e-13,1e-13,1e-13,1e-13,...
+	1e-13,1e-13,1e-13};
+field_values={...
+	(md.results.DiagnosticSolution.Vx),...
+	(md.results.DiagnosticSolution.Vy),...
+	(md.results.DiagnosticSolution.Vel),...
+	(md.results.DiagnosticSolution.Pressure),...
+	(md.results.DiagnosticSolution.StressTensorxx),...
+	(md.results.DiagnosticSolution.StressTensoryy),...
+	(md.results.DiagnosticSolution.StressTensorxy),...
+	};
Index: issm/trunk/test/NightlyRun/test101.py
===================================================================
--- issm/trunk/test/NightlyRun/test101.py	(revision 13395)
+++ issm/trunk/test/NightlyRun/test101.py	(revision 13395)
@@ -0,0 +1,31 @@
+from model import *
+from triangle import *
+from setmask import *
+from parameterize import *
+from setflowequation import *
+from EnumDefinitions import *
+from solve import *
+from MatlabFuncs import *
+
+md=triangle(model(),'../Exp/Square.exp',50000)
+md=setmask(md,'all','')
+md=parameterize(md,'../Par/SquareShelfConstrained.py')
+md=setflowequation(md,'macayeal','all')
+md.cluster=generic('name',oshostname(),'np',3)
+md.diagnostic.requested_outputs=StressTensorEnum()
+md=solve(md,DiagnosticSolutionEnum())
+
+#Fields and tolerances to track changes
+field_names     =['Vx','Vy','Vel','Pressure',\
+	'StressTensorxx','StressTensoryy','StressTensorxy']
+field_tolerances=[1e-13,1e-13,1e-13,1e-13,\
+	1e-13,1e-13,1e-13]
+field_values=[\
+	md.results['DiagnosticSolution'][1]['Vx'],\
+	md.results['DiagnosticSolution'][1]['Vy'],\
+	md.results['DiagnosticSolution'][1]['Vel'],\
+	md.results['DiagnosticSolution'][1]['Pressure'],\
+	md.results['DiagnosticSolution'][1]['StressTensorxx'],\
+	md.results['DiagnosticSolution'][1]['StressTensoryy'],\
+	md.results['DiagnosticSolution'][1]['StressTensorxy'],\
+	]
Index: issm/trunk/test/NightlyRun/test102.m
===================================================================
--- issm/trunk/test/NightlyRun/test102.m	(revision 12709)
+++ issm/trunk/test/NightlyRun/test102.m	(revision 13395)
@@ -1,22 +1,18 @@
-md=triangle(model,'../Exp/Square.exp',50000);
+md=triangle(model,'../Exp/Square.exp',180000);
 md=setmask(md,'all','');
 md=parameterize(md,'../Par/SquareShelfConstrained.par');
+md=extrude(md,3,2);
 md=setflowequation(md,'macayeal','all');
 md.cluster=generic('name',oshostname(),'np',3);
-md.diagnostic.requested_outputs=StressTensorEnum;
 md=solve(md,DiagnosticSolutionEnum);
 
 %Fields and tolerances to track changes
-field_names     ={'Vx','Vy','Vel','Pressure',...
-	'StressTensorxx','StressTensoryy','StressTensorxy'};
-field_tolerances={1e-13,1e-13,1e-13,1e-13,...
-	1e-13,1e-13,1e-13};
+field_names     ={'Vx','Vy','Vz','Vel','Pressure'};
+field_tolerances={1e-13,1e-13,1e-13,1e-13,1e-13};
 field_values={...
 	(md.results.DiagnosticSolution.Vx),...
 	(md.results.DiagnosticSolution.Vy),...
+	(md.results.DiagnosticSolution.Vz),...
 	(md.results.DiagnosticSolution.Vel),...
 	(md.results.DiagnosticSolution.Pressure),...
-	(md.results.DiagnosticSolution.StressTensorxx),...
-	(md.results.DiagnosticSolution.StressTensoryy),...
-	(md.results.DiagnosticSolution.StressTensorxy),...
 	};
Index: issm/trunk/test/NightlyRun/test102.py
===================================================================
--- issm/trunk/test/NightlyRun/test102.py	(revision 12709)
+++ issm/trunk/test/NightlyRun/test102.py	(revision 13395)
@@ -3,22 +3,26 @@
 from setmask import *
 from parameterize import *
+from setflowequation import *
+from EnumDefinitions import *
+from solve import *
+from MatlabFuncs import *
 
-md=model()
-md=triangle(md,'../Exp/Square.exp',50000)
+md=triangle(model(),'../Exp/Square.exp',180000)
 md=setmask(md,'all','')
 md=parameterize(md,'../Par/SquareShelfConstrained.py')
+md.extrude(3,2)
+md=setflowequation(md,'macayeal','all')
+md.cluster=generic('name',oshostname(),'np',3)
+md=solve(md,DiagnosticSolutionEnum())
 
 #Fields and tolerances to track changes
-field_names     =['Vx','Vy','Vel','Pressure',\
-	'StressTensorxx','StressTensoryy','StressTensorxy']
-field_tolerances=[1e-13,1e-13,1e-13,1e-13,\
-	1e-13,1e-13,1e-13]
+field_names     =['Vx','Vy','Vz','Vel','Pressure']
+field_tolerances=[1e-13,1e-13,1e-13,1e-13,1e-13]
 field_values=[\
-	[md.results.DiagnosticSolution.Vx],\
-	[md.results.DiagnosticSolution.Vy],\
-	[md.results.DiagnosticSolution.Vel],\
-	[md.results.DiagnosticSolution.Pressure],\
-	[md.results.DiagnosticSolution.StressTensorxx],\
-	[md.results.DiagnosticSolution.StressTensoryy],\
-	[md.results.DiagnosticSolution.StressTensorxy],\
+	md.results['DiagnosticSolution'][1]['Vx'],\
+	md.results['DiagnosticSolution'][1]['Vy'],\
+	md.results['DiagnosticSolution'][1]['Vz'],\
+	md.results['DiagnosticSolution'][1]['Vel'],\
+	md.results['DiagnosticSolution'][1]['Pressure'],\
 	]
+
Index: issm/trunk/test/NightlyRun/test103.m
===================================================================
--- issm/trunk/test/NightlyRun/test103.m	(revision 13395)
+++ issm/trunk/test/NightlyRun/test103.m	(revision 13395)
@@ -0,0 +1,27 @@
+md=triangle(model,'../Exp/Square.exp',180000);
+md=setmask(md,'all','');
+md=parameterize(md,'../Par/SquareShelfConstrained.par');
+md=extrude(md,3,2);
+md=setflowequation(md,'pattyn','all');
+md.cluster=generic('name',oshostname(),'np',3);
+md.diagnostic.requested_outputs=StressTensorEnum;
+md=solve(md,DiagnosticSolutionEnum);
+
+%Fields and tolerances to track changes
+field_names     ={'Vx','Vy','Vz','Vel','Pressure',...
+	'StressTensorxx','StressTensoryy','StressTensorzz','StressTensorxy','StressTensorxz','StressTensoryz'};
+field_tolerances={1e-09,1e-09,1e-09,1e-09,1e-09,...
+	1e-09,1e-09,1e-09,1e-09,1e-09,1e-09};
+field_values={...
+	(md.results.DiagnosticSolution.Vx),...
+	(md.results.DiagnosticSolution.Vy),...
+	(md.results.DiagnosticSolution.Vz),...
+	(md.results.DiagnosticSolution.Vel),...
+	(md.results.DiagnosticSolution.Pressure),...
+	(md.results.DiagnosticSolution.StressTensorxx),...
+	(md.results.DiagnosticSolution.StressTensoryy),...
+	(md.results.DiagnosticSolution.StressTensorzz),...
+	(md.results.DiagnosticSolution.StressTensorxy),...
+	(md.results.DiagnosticSolution.StressTensorxz),...
+	(md.results.DiagnosticSolution.StressTensoryz),...
+	};
Index: issm/trunk/test/NightlyRun/test103.py
===================================================================
--- issm/trunk/test/NightlyRun/test103.py	(revision 13395)
+++ issm/trunk/test/NightlyRun/test103.py	(revision 13395)
@@ -0,0 +1,36 @@
+from model import *
+from triangle import *
+from setmask import *
+from parameterize import *
+from setflowequation import *
+from EnumDefinitions import *
+from solve import *
+from MatlabFuncs import *
+
+md=triangle(model(),'../Exp/Square.exp',180000)
+md=setmask(md,'all','')
+md=parameterize(md,'../Par/SquareShelfConstrained.py')
+md.extrude(3,2)
+md=setflowequation(md,'pattyn','all')
+md.cluster=generic('name',oshostname(),'np',3)
+md.diagnostic.requested_outputs=StressTensorEnum()
+md=solve(md,DiagnosticSolutionEnum())
+
+#Fields and tolerances to track changes
+field_names     =['Vx','Vy','Vz','Vel','Pressure',\
+	'StressTensorxx','StressTensoryy','StressTensorzz','StressTensorxy','StressTensorxz','StressTensoryz']
+field_tolerances=[1e-09,1e-09,1e-09,1e-09,1e-09,\
+	1e-09,1e-09,1e-09,1e-09,1e-09,1e-09]
+field_values=[\
+	md.results['DiagnosticSolution'][1]['Vx'],\
+	md.results['DiagnosticSolution'][1]['Vy'],\
+	md.results['DiagnosticSolution'][1]['Vz'],\
+	md.results['DiagnosticSolution'][1]['Vel'],\
+	md.results['DiagnosticSolution'][1]['Pressure'],\
+	md.results['DiagnosticSolution'][1]['StressTensorxx'],\
+	md.results['DiagnosticSolution'][1]['StressTensoryy'],\
+	md.results['DiagnosticSolution'][1]['StressTensorzz'],\
+	md.results['DiagnosticSolution'][1]['StressTensorxy'],\
+	md.results['DiagnosticSolution'][1]['StressTensorxz'],\
+	md.results['DiagnosticSolution'][1]['StressTensoryz'],\
+	]
Index: issm/trunk/test/NightlyRun/test104.m
===================================================================
--- issm/trunk/test/NightlyRun/test104.m	(revision 12709)
+++ issm/trunk/test/NightlyRun/test104.m	(revision 13395)
@@ -3,5 +3,5 @@
 md=parameterize(md,'../Par/SquareShelfConstrained.par');
 md=extrude(md,3,2);
-md=setflowequation(md,'macayeal','all');
+md=setflowequation(md,'stokes','all');
 md.cluster=generic('name',oshostname(),'np',3);
 md=solve(md,DiagnosticSolutionEnum);
@@ -9,5 +9,5 @@
 %Fields and tolerances to track changes
 field_names     ={'Vx','Vy','Vz','Vel','Pressure'};
-field_tolerances={1e-13,1e-13,1e-13,1e-13,1e-13};
+field_tolerances={1e-08,1e-08,1e-07,1e-08,1e-08};
 field_values={...
 	(md.results.DiagnosticSolution.Vx),...
Index: issm/trunk/test/NightlyRun/test104.py
===================================================================
--- issm/trunk/test/NightlyRun/test104.py	(revision 13395)
+++ issm/trunk/test/NightlyRun/test104.py	(revision 13395)
@@ -0,0 +1,27 @@
+from model import *
+from triangle import *
+from setmask import *
+from parameterize import *
+from setflowequation import *
+from EnumDefinitions import *
+from solve import *
+from MatlabFuncs import *
+
+md=triangle(model(),'../Exp/Square.exp',180000)
+md=setmask(md,'all','')
+md=parameterize(md,'../Par/SquareShelfConstrained.py')
+md.extrude(3,2)
+md=setflowequation(md,'stokes','all')
+md.cluster=generic('name',oshostname(),'np',3)
+md=solve(md,DiagnosticSolutionEnum())
+
+#Fields and tolerances to track changes
+field_names     =['Vx','Vy','Vz','Vel','Pressure']
+field_tolerances=[1e-08,1e-08,1e-07,1e-08,1e-08]
+field_values=[\
+	md.results['DiagnosticSolution'][1]['Vx'],\
+	md.results['DiagnosticSolution'][1]['Vy'],\
+	md.results['DiagnosticSolution'][1]['Vz'],\
+	md.results['DiagnosticSolution'][1]['Vel'],\
+	md.results['DiagnosticSolution'][1]['Pressure'],\
+	]
Index: issm/trunk/test/NightlyRun/test105.m
===================================================================
--- issm/trunk/test/NightlyRun/test105.m	(revision 13395)
+++ issm/trunk/test/NightlyRun/test105.m	(revision 13395)
@@ -0,0 +1,13 @@
+md=triangle(model,'../Exp/Square.exp',150000);
+md=setmask(md,'all','');
+md=parameterize(md,'../Par/SquareShelfConstrained.par');
+md=setflowequation(md,'macayeal','all');
+md.cluster=generic('name',oshostname(),'np',3);
+md=solve(md,PrognosticSolutionEnum);
+
+%Fields and tolerances to track changes
+field_names     ={'Thickness'};
+field_tolerances={1e-13};
+field_values={...
+	(md.results.PrognosticSolution.Thickness),...
+	};
Index: issm/trunk/test/NightlyRun/test105.py
===================================================================
--- issm/trunk/test/NightlyRun/test105.py	(revision 13395)
+++ issm/trunk/test/NightlyRun/test105.py	(revision 13395)
@@ -0,0 +1,22 @@
+from model import *
+from triangle import *
+from setmask import *
+from parameterize import *
+from setflowequation import *
+from EnumDefinitions import *
+from solve import *
+from MatlabFuncs import *
+
+md=triangle(model(),'../Exp/Square.exp',150000)
+md=setmask(md,'all','')
+md=parameterize(md,'../Par/SquareShelfConstrained.py')
+md=setflowequation(md,'macayeal','all')
+md.cluster=generic('name',oshostname(),'np',3)
+md=solve(md,PrognosticSolutionEnum())
+
+#Fields and tolerances to track changes
+field_names     =['Thickness']
+field_tolerances=[1e-13]
+field_values=[\
+	md.results['PrognosticSolution'][1]['Thickness'],\
+	]
Index: issm/trunk/test/NightlyRun/test106.m
===================================================================
--- issm/trunk/test/NightlyRun/test106.m	(revision 12709)
+++ issm/trunk/test/NightlyRun/test106.m	(revision 13395)
@@ -1,27 +1,16 @@
-md=triangle(model,'../Exp/Square.exp',180000);
+md=triangle(model,'../Exp/Square.exp',150000);
+md=meshconvert(md);
 md=setmask(md,'all','');
 md=parameterize(md,'../Par/SquareShelfConstrained.par');
-md=extrude(md,3,2);
-md=setflowequation(md,'pattyn','all');
+md=setflowequation(md,'macayeal','all');
 md.cluster=generic('name',oshostname(),'np',3);
-md.diagnostic.requested_outputs=StressTensorEnum;
-md=solve(md,DiagnosticSolutionEnum);
+md.prognostic.stabilization=3;
+md.prognostic.spcthickness=md.geometry.thickness;
+md=solve(md,PrognosticSolutionEnum);
 
 %Fields and tolerances to track changes
-field_names     ={'Vx','Vy','Vz','Vel','Pressure',...
-	'StressTensorxx','StressTensoryy','StressTensorzz','StressTensorxy','StressTensorxz','StressTensoryz'};
-field_tolerances={1e-09,1e-09,1e-09,1e-09,1e-09,...
-	1e-09,1e-09,1e-09,1e-09,1e-09,1e-09};
+field_names     ={'Thickness'};
+field_tolerances={1e-13};
 field_values={...
-	(md.results.DiagnosticSolution.Vx),...
-	(md.results.DiagnosticSolution.Vy),...
-	(md.results.DiagnosticSolution.Vz),...
-	(md.results.DiagnosticSolution.Vel),...
-	(md.results.DiagnosticSolution.Pressure),...
-	(md.results.DiagnosticSolution.StressTensorxx),...
-	(md.results.DiagnosticSolution.StressTensoryy),...
-	(md.results.DiagnosticSolution.StressTensorzz),...
-	(md.results.DiagnosticSolution.StressTensorxy),...
-	(md.results.DiagnosticSolution.StressTensorxz),...
-	(md.results.DiagnosticSolution.StressTensoryz),...
+	(md.results.PrognosticSolution.Thickness),...
 	};
Index: issm/trunk/test/NightlyRun/test106.py
===================================================================
--- issm/trunk/test/NightlyRun/test106.py	(revision 13395)
+++ issm/trunk/test/NightlyRun/test106.py	(revision 13395)
@@ -0,0 +1,26 @@
+from model import *
+from triangle import *
+from meshconvert import *
+from setmask import *
+from parameterize import *
+from setflowequation import *
+from EnumDefinitions import *
+from solve import *
+from MatlabFuncs import *
+
+md=triangle(model(),'../Exp/Square.exp',150000)
+md=meshconvert(md)
+md=setmask(md,'all','')
+md=parameterize(md,'../Par/SquareShelfConstrained.py')
+md=setflowequation(md,'macayeal','all')
+md.cluster=generic('name',oshostname(),'np',3)
+md.prognostic.stabilization=3
+md.prognostic.spcthickness=md.geometry.thickness
+md=solve(md,PrognosticSolutionEnum())
+
+#Fields and tolerances to track changes
+field_names     =['Thickness']
+field_tolerances=[1e-13]
+field_values=[\
+	md.results['PrognosticSolution'][1]['Thickness'],\
+	]
Index: issm/trunk/test/NightlyRun/test107.m
===================================================================
--- issm/trunk/test/NightlyRun/test107.m	(revision 13395)
+++ issm/trunk/test/NightlyRun/test107.m	(revision 13395)
@@ -0,0 +1,14 @@
+md=triangle(model,'../Exp/Square.exp',150000);
+md=setmask(md,'all','');
+md=parameterize(md,'../Par/SquareShelfConstrained.par');
+md=setflowequation(md,'macayeal','all');
+md=extrude(md,5,3);
+md.cluster=generic('name',oshostname(),'np',3);
+md=solve(md,PrognosticSolutionEnum);
+
+%Fields and tolerances to track changes
+field_names     ={'Thickness'};
+field_tolerances={1e-13};
+field_values={...
+	(md.results.PrognosticSolution.Thickness),...
+	};
Index: issm/trunk/test/NightlyRun/test107.py
===================================================================
--- issm/trunk/test/NightlyRun/test107.py	(revision 13395)
+++ issm/trunk/test/NightlyRun/test107.py	(revision 13395)
@@ -0,0 +1,23 @@
+from model import *
+from triangle import *
+from setmask import *
+from parameterize import *
+from setflowequation import *
+from EnumDefinitions import *
+from solve import *
+from MatlabFuncs import *
+
+md=triangle(model(),'../Exp/Square.exp',150000)
+md=setmask(md,'all','')
+md=parameterize(md,'../Par/SquareShelfConstrained.py')
+md=setflowequation(md,'macayeal','all')
+md.extrude(5,3)
+md.cluster=generic('name',oshostname(),'np',3)
+md=solve(md,PrognosticSolutionEnum())
+
+#Fields and tolerances to track changes
+field_names     =['Thickness']
+field_tolerances=[1e-13]
+field_values=[\
+	md.results['PrognosticSolution'][1]['Thickness'],\
+	]
Index: issm/trunk/test/NightlyRun/test108.m
===================================================================
--- issm/trunk/test/NightlyRun/test108.m	(revision 12709)
+++ issm/trunk/test/NightlyRun/test108.m	(revision 13395)
@@ -2,17 +2,15 @@
 md=setmask(md,'all','');
 md=parameterize(md,'../Par/SquareShelfConstrained.par');
-md=extrude(md,3,2);
-md=setflowequation(md,'stokes','all');
+md=extrude(md,3,1);
+md=setflowequation(md,'macayeal','all');
+md.timestepping.time_step=0;
 md.cluster=generic('name',oshostname(),'np',3);
-md=solve(md,DiagnosticSolutionEnum);
+md=solve(md,ThermalSolutionEnum);
 
 %Fields and tolerances to track changes
-field_names     ={'Vx','Vy','Vz','Vel','Pressure'};
-field_tolerances={1e-08,1e-08,1e-07,1e-08,1e-08};
+field_names     ={'Temperature','BasalforcingsMeltingRate'};
+field_tolerances={1e-13,1e-13};
 field_values={...
-	(md.results.DiagnosticSolution.Vx),...
-	(md.results.DiagnosticSolution.Vy),...
-	(md.results.DiagnosticSolution.Vz),...
-	(md.results.DiagnosticSolution.Vel),...
-	(md.results.DiagnosticSolution.Pressure),...
+	(md.results.ThermalSolution.Temperature),...
+	(md.results.ThermalSolution.BasalforcingsMeltingRate),...
 	};
Index: issm/trunk/test/NightlyRun/test108.py
===================================================================
--- issm/trunk/test/NightlyRun/test108.py	(revision 13395)
+++ issm/trunk/test/NightlyRun/test108.py	(revision 13395)
@@ -0,0 +1,25 @@
+from model import *
+from triangle import *
+from setmask import *
+from parameterize import *
+from setflowequation import *
+from EnumDefinitions import *
+from solve import *
+from MatlabFuncs import *
+
+md=triangle(model(),'../Exp/Square.exp',180000)
+md=setmask(md,'all','')
+md=parameterize(md,'../Par/SquareShelfConstrained.py')
+md.extrude(3,1)
+md=setflowequation(md,'macayeal','all')
+md.timestepping.time_step=0
+md.cluster=generic('name',oshostname(),'np',3)
+md=solve(md,ThermalSolutionEnum())
+
+#Fields and tolerances to track changes
+field_names     =['Temperature','BasalforcingsMeltingRate']
+field_tolerances=[1e-13,1e-13]
+field_values=[\
+	md.results['ThermalSolution'][1]['Temperature'],\
+	md.results['ThermalSolution'][1]['BasalforcingsMeltingRate'],\
+	]
Index: issm/trunk/test/NightlyRun/test109.m
===================================================================
--- issm/trunk/test/NightlyRun/test109.m	(revision 13395)
+++ issm/trunk/test/NightlyRun/test109.m	(revision 13395)
@@ -0,0 +1,19 @@
+md=triangle(model,'../Exp/Square.exp',180000);
+md=setmask(md,'all','');
+md=parameterize(md,'../Par/SquareShelfConstrained.par');
+md=extrude(md,3,1);
+md=setflowequation(md,'macayeal','all');
+md.cluster=generic('name',oshostname(),'np',3);
+md.transient.isdiagnostic=0;
+md.transient.isprognostic=0;
+md.transient.isthermal=1;
+md.transient.isgroundingline=0;
+md=solve(md,TransientSolutionEnum);
+
+%Fields and tolerances to track changes
+field_names     ={'Temperature','BasalforcingsMeltingRate'};
+field_tolerances={1e-13,1e-13};
+field_values={...
+	(md.results.TransientSolution(1).Temperature),...
+	(md.results.TransientSolution(1).BasalforcingsMeltingRate),...
+	};
